1. Minimum and Preferred Requirements

1.1. Minimum System Requirements

  • PHP >= 4.2.x (including PHP 5.x); Microsoft IIS requires PHP 5.x

  • MySQL >= 3.23.23 (including MySQL 4.x and 5.x) or PostgreSQL >= 7.1 (including PostgreSQL 8.x)

  • Apache >= 1.3.2x or >= 2.0.4x or Microsoft IIS 6

  • Operating system: Any OS that supports the above software, including Linux, BSD, Solaris, Mac OS X, Windows

1.2. Recommended Server Configuration

  • PHP 5.x with iconv, mbstring, libgd, and libfreetype support

  • MySQL 5.x with data storage and connection using UTF8

  • *NIX-like OS (Linux, BSD, Mac OS X)

  • Apache web server configured with PHP via FastCGI

We also recommend that you have SSH access to your server, as you will find SSH access mandatory for some advanced tasks, and helpful overall.